<mat-card appearance="outlined">
  <mat-card-header>
    <div mat-card-avatar>
      <mat-icon color="primary">account_tree</mat-icon>
    </div>
    <mat-card-title>Microservice {{ name?.value }}</mat-card-title>
    <mat-card-subtitle>This microservice will be registered to User and Group microservice</mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <form [formGroup]="microserviceFormGroup.formGroup">
      <div class="form-container">
        <!-- NAME field-->
        <mat-form-field appearance="outline">
          <mat-label>Name</mat-label>
          <input matInput placeholder="Name" formControlName="name" required>
          <button mat-button *ngIf="name.value" matSuffix mat-icon-button aria-label="Clear" (click)="name.setValue('');">
            <mat-icon>close</mat-icon>
          </button>
          <mat-error>Name cannot be empty</mat-error>
        </mat-form-field>

        <!-- ENDPOINT field-->
        <mat-form-field appearance="outline">
          <mat-label>Endpoint</mat-label>
          <input matInput placeholder="Example: /your-service/api/v1" formControlName="endpoint" required>
          <button mat-button *ngIf="endpoint.value" matSuffix mat-icon-button aria-label="Clear" (click)="endpoint.setValue('');">
            <mat-icon>close</mat-icon>
          </button>
          <mat-error>Endpoint cannot be empty</mat-error>
        </mat-form-field>

        <kypo-microservice-role-list (microserviceRoles)="onRolesChanged($event)"></kypo-microservice-role-list>
      </div>
    </form>
  </mat-card-content>
</mat-card>
